Json::ValueInternalMap Class Reference

A linked page based hash-table implementation used internally by Value. More...

`#include <json.h>`

## Classes

struct | IteratorState

## Public Types

typedef unsigned int | HashKey
typedef unsigned int | BucketIndex

## Public Member Functions

| ValueInternalMap (const ValueInternalMap &other)
ValueInternalMap & | operator= (const ValueInternalMap &other)
void | swap (ValueInternalMap &other)
BucketIndex | size () const
void | clear ()
bool | reserveDelta (BucketIndex growth)
bool | reserve (BucketIndex newItemCount)
const Value * | find (const char *key) const
Value * | find (const char *key)
Value & | resolveReference (const char *key, bool isStatic)
void | remove (const char *key)
void | doActualRemove (ValueInternalLink *link, BucketIndex index, BucketIndex bucketIndex)
ValueInternalLink *& | getLastLinkInBucket (BucketIndex bucketIndex)
Value & | setNewItem (const char *key, bool isStatic, ValueInternalLink *link, BucketIndex index)
Value & | unsafeAdd (const char *key, bool isStatic, HashKey hashedKey)
HashKey | hash (const char *key) const
int | compare (const ValueInternalMap &other) const

## Friends

class | ValueIteratorBase
class | Value

## Detailed Description

A linked page based hash-table implementation used internally by Value.

The documentation for this class was generated from the following file:

- json.h